Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Enum TransactionChannel1Code

java.lang.Object
java.lang.Enum<TransactionChannel1Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_08.TransactionChannel1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionChannel1Code>`, `java.lang.constant.Constable`

public enum TransactionChannel1Code extends Enum<TransactionChannel1Code>

Java class for TransactionChannel1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TransactionChannel1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MAIL"/>
         <enumeration value="TLPH"/>
         <enumeration value="ECOM"/>
         <enumeration value="TVPY"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ECOM`
`MAIL`
`TLPH`
`TVPY`

## Method Summary

Modifier and Type
Method
Description
`static TransactionChannel1Code`
`fromValue(String v)`
`String`
`value()`
`static TransactionChannel1Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TransactionChannel1Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAIL

public static final TransactionChannel1Code MAIL

### TLPH

public static final TransactionChannel1Code TLPH

### ECOM

public static final TransactionChannel1Code ECOM

### TVPY

public static final TransactionChannel1Code TVPY

## Method Details

### values

public static TransactionChannel1Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TransactionChannel1Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static TransactionChannel1Code fromValue(String v)